Subject: [manet] OLSR [RFC 3626] Routing Table Calculation Clarification

From: "Veytser, Leonid - 0665 - MITLL" <[email-masked]>
Date: Fri, 2 Aug 2013 15:59:13 -0400

Hello,

I am seeking clarification of Section 3.2 of the OLSR RFC 3626 that describes the tie breaking rules, when performing routing table calculation, for picking the next hop when more than one are available:

          3.2  Several topology entries may be used to select a next hop
               R_next_addr for reaching the node R_dest_addr.  When h=1,
               ties should be broken such that nodes with highest
               willingness and MPR selectors are preferred as next hop.

Did the authors mean using MPRs as tie breakers as preferred next hop? If not, and MPR selectors is what should be used to break the ties what is the rationale? I can understand preferring MPRs as next hop since OLSR tries to route through the MPRs but don't understand why an MPR selector would be a preferred next hop?

Thanks in advance,

Lenny

---------------------------------------------------------------
Leonid Veytser
MIT Lincoln Laboratory
Advanced Networking and Applications Group
(781)981-1395

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Thu, 8 Aug 2013 13:22:01 +0000

Actually, except for the first hop (and the second hop when using two hop information from HELLO messages) routes use links from MPR to MPR selector, as advertised in TC messages.

[The easiest way to see this must be so, in my experience, is to consider the final hop of a route, where the destination is a leaf node, reachable only from one other node.]

The h = 1 case tries to make similar behaviour a preference for the first hop.

(Flooding goes from MPR selector to MPR, however.)

--
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked]<mailto:[email-masked]> | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

From: [email-masked] [mailto:[email-masked]] On Behalf Of Veytser, Leonid - 0665 - MITLL
Sent: 02 August 2013 20:59
To: [email-masked]
Subject: [manet] OLSR [RFC 3626] Routing Table Calculation Clarification

Hello,

Thanks in advance,

Lenny

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: "Veytser, Leonid - 0665 - MITLL" <[email-masked]>
Date: Thu, 8 Aug 2013 17:06:11 -0400

> Actually, except for the first hop (and the second hop when using two hop information from HELLO messages) routes use links from MPR to MPR selector, as advertised in TC messages.

That is true, except for since only MRPs are generating the TC messages only the MPR selectors that are also MPRs themselves will be chosen by the routing selection in a path for destinations beyond two hops. The destination node, of course, does not have to be an MPR but merely an MPR selector of the previous hop. In other words, the path selected by OLSR for destinations more than two hops away may go through non-MPR nodes 1 and 2 hops away and the final destination node may not be an MPR but all the intermediary nodes along the selected path will aways be MPRs.

Therefore it seems more logical to me to prefer routing through MPRs as tie breakers in other situations as well (i.e. in Section 3.2).

Lenny

> [email-masked] | http://www.baesystems.com
>

---

From: Christopher Dearlove <[email-masked]>
Date: Thu, 8 Aug 2013 23:09:41 +0100

You've missed the point that although the normal progress, beyond the first hop (excluding HELLO-based second hops) is through MPRs, each hop is to an MPR of the router beyond it, not to the MPR of the router from which the hop is made. In other words, the pattern is as I described, and proceeding to your own MPR is, except coincidentally, not the usual pattern.

(Of course it's doesn't have to be that way, as you can advertise more than MPR selectors. But that's another case we can ignore for now.)

--  
Christopher Dearlove
[email-masked] (iPhone)
[email-masked] (home)

On 8 Aug 2013, at 22:06, "Veytser, Leonid - 0665 - MITLL" <[email-masked]> wrote:

> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet